> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/version > Update device config version ## OpenAPI ````json POST /v1/version { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/version": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1VersionPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1VersionPostResponse" } } } } }, "description": "Update device config version" } } }, "components": { "schemas": { "v1VersionPostRequest": { "type": "object", "properties": { "configurationMetadata": { "$ref": "#/components/schemas/manaV2ConfigurationMetadata" }, "deviceId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "version": { "type": "integer", "format": "int32", "example": 123 } }, "additionalProperties": false }, "v1VersionPostResponse": { "type": "object", "properties": { "updatedVersion": { "$ref": "#/components/schemas/manaV2VersionMetadata" } }, "additionalProperties": false }, "manaV2ConfigurationMetadata": { "type": "object", "properties": { "commitConfirm": { "type": "boolean", "example": true }, "description": { "type": "string", "example": "example string" }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2VersionMetadata": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "name": { "type": "string", "example": "example string" }, "version": { "type": "integer", "format": "int32", "example": 123 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````